# Twig Numbers to Words (N2W)

Twig N2W allows users to add filter on numeric values to print it in words.
This module converts numeric values in Bharat(Indian) or International number 
system in twig files.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/twig_n2w).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/twig_n2w).


## Contents of this file

- Examples
- Requirements
- Installation
- Configuration
- Maintainers


## Examples

- Bharat(Indian) format for words only use below:

  `{{ 123456789012.56|n2w_format_bharat }}`

  **Output:** One Kharab Twenty-Three Arab Fourty-Five Crore Sixty-Seven Lac 
  Eighty-Nine Thousand Twelve Point Fifty-Six

- Bharat(Indian) format for words with currency use below:

  `{{ 123456789012.56|n2w_format_bharat('currency') }}`

  **Output:** One Kharab Twenty-Three Arab Fourty-Five Crore Sixty-Seven Lac 
  Eighty-Nine Thousand Twelve Rupees and Fifty-Six Paisa

- International format for words only use below:

  `{{ 123456789012.56|n2w_format_intl }}`

  **Output:** One Hundred Twenty-Three Billion Four Hundred Fifty-Six Million 
  Seven Hundred Eighty-Nine Thousand Twelve Point Fifty-Six

- International format for words with currency use below:

  `{{ 123456789012.56|n2w_format_intl('currency') }}`

  **Output:** One Hundred Twenty-Three Billion Four Hundred Fifty-Six Million 
  Seven Hundred Eighty-Nine Thousand Tweleve Dollars and Fifty-Six Cents


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. See:
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules) 
for further information.


## Configuration

This module has no configuration.


## Maintainers

- Pankaj Gupta - [pankaj.g](https://www.drupal.org/u/pankajg)
